(function ($) {
    'use strict';

    var hmtWindow = $(window);
    hmtWindow.on('load', function () {
        $('#preloader').fadeOut('1000', function () {
            $(this).remove();
        });
    });

    if ($.fn.classyNav) {
        $('#hmtNav').classyNav();
    }

    hmtWindow.on('scroll', function () {
        if (hmtWindow.scrollTop() > 0) {
            $('.header-area').addClass('sticky');
        } else {
            $('.header-area').removeClass('sticky');
        }
    });

    if ($.fn.owlCarousel) {
        var welcomeSlider = $('.hero-slides');
        welcomeSlider.owlCarousel({
            items: 1,
            loop: true,
            autoplay: true,
            dots: false,
            nav: true,
            navText: [('<i class="lni-chevron-left"></i>'), ('<i class="lni-chevron-right"></i>')],
        })

        welcomeSlider.on('translate.owl.carousel', function () {
            var layer = $("[data-animation]");
            layer.each(function () {
                var anim_name = $(this).data('animation');
                $(this).removeClass('animated ' + anim_name).css('opacity', '0');
            });
        });

        $("[data-delay]").each(function () {
            var anim_del = $(this).data('delay');
            $(this).css('animation-delay', anim_del);
        });

        $("[data-duration]").each(function () {
            var anim_dur = $(this).data('duration');
            $(this).css('animation-duration', anim_dur);
        });

        welcomeSlider.on('translated.owl.carousel', function () {
            var layer = welcomeSlider.find('.owl-item.active').find("[data-animation]");
            layer.each(function () {
                var anim_name = $(this).data('animation');
                $(this).addClass('animated ' + anim_name).css('opacity', '1');
            });
        });
    }

    if ($.fn.owlCarousel) {
        var testimonialSlider = $('.client-feedback-slides');
        testimonialSlider.owlCarousel({
            items: 3,
            margin: 40,
            loop: true,
            autoplay: true,
            smartSpeed: 800,
            autoplayTimeout: 5000,
            dots: true,
            nav: false,
            responsive: {
                0: {
                    items: 1,
                    margin: 0
                },
                576: {
                    items: 2,
                    margin: 15
                },
                768: {
                    items: 1
                },
                992: {
                    items: 1
                },
                1700: {
                    items: 3
                }
            }
        })
    }

    if ($.fn.owlCarousel) {
        var partnerSlider = $('.our-partner-slides');
        partnerSlider.owlCarousel({
            items: 6,
            margin: 50,
            loop: true,
            autoplay: true,
            smartSpeed: 800,
            autoplayTimeout: 5000,
            dots: false,
            nav: false,
            responsive: {
                0: {
                    items: 2
                },
                480: {
                    items: 3
                },
                768: {
                    items: 4
                },
                992: {
                    items: 5
                },
                1200: {
                    items: 6
                }
            }
        })
    }

    if ($.fn.owlCarousel) {
        var portSlides = $('.portfolio-slides');
        portSlides.owlCarousel({
            items: 4,
            margin: 10,
            loop: true,
            autoplay: true,
            smartSpeed: 800,
            autoplayTimeout: 5000,
            dots: false,
            nav: false,
            responsive: {
                0: {
                    items: 1
                },
                576: {
                    items: 2
                },
                992: {
                    items: 3
                },
                1200: {
                    items: 4
                }
            }
        })
    }

    if ($.fn.owlCarousel) {
        var portSlides2 = $('.portfolio-slides-2');
        portSlides2.owlCarousel({
            items: 3,
            margin: 10,
            loop: true,
            autoplay: true,
            smartSpeed: 800,
            autoplayTimeout: 5000,
            dots: false,
            nav: true,
            navText: [('<i class="lni-chevron-left"></i>'), ('<i class="lni-chevron-right"></i>')],
            responsive: {
                0: {
                    items: 1
                },
                576: {
                    items: 2
                },
                992: {
                    items: 3
                }
            }
        })
    }
    
    
    if ($.fn.owlCarousel) {
        var boxSlide = $('.boxSlide');
        boxSlide.owlCarousel({
            items: 5,
            margin: 15,
            loop: true,
            autoplay: true,
            smartSpeed: 800,
            autoplayTimeout: 5000,
            dots: false,
            nav: false,
            responsive: {
                0: {
                    items: 1
                },
                576: {
                    items: 2
                },
                768:{
                    items: 3
                },
                992: {
                    items: 4
                },
                1200: {
                    items: 5
                }
            }
        })
    }
    
    

    if ($.fn.owlCarousel) {
        var relatedProdSlides = $('.related-image-carousel');
        relatedProdSlides.owlCarousel({
            items: 4,
            margin: 15,
            loop: true,
            autoplay: true,
            smartSpeed: 500,
            autoplayTimeout: 5000,
            dots: false,
            nav: true,
            navText: [('<i class="lni-chevron-left"></i>'), ('<i class="lni-chevron-right"></i>')],
        })
    }

    if ($.fn.owlCarousel) {
        var videoCardSlides = $('.video-card-slides');
        videoCardSlides.owlCarousel({
            items: 1,
            loop: true,
            autoplay: true,
            smartSpeed: 500,
            autoplayTimeout: 5000,
            dots: false,
            nav: false
        })
    }

    if ($.fn.owlCarousel) {
        var relatedProjectSlides = $('.related-project-slide');
        relatedProjectSlides.owlCarousel({
            items: 3,
            margin: 30,
            loop: true,
            autoplay: true,
            smartSpeed: 500,
            autoplayTimeout: 5000,
            dots: false,
            nav: true,
            navText: [('<i class="lni-chevron-left"></i>'), ('<i class="lni-chevron-right"></i>')],
            responsive: {
                0: {
                    items: 1
                },
                768: {
                    items: 2
                },
                992: {
                    items: 3
                }
            }
        })
    }

    if ($.fn.owlCarousel) {
        var projectDetailsShotSlide = $('.project-details-shots-slide');
        projectDetailsShotSlide.owlCarousel({
            items: 1,
            margin: 0,
            loop: true,
            autoplay: true,
            smartSpeed: 500,
            autoplayTimeout: 5000,
            dots: false,
            nav: true,
            navText: [('<i class="lni-chevron-left"></i>'), ('<i class="lni-chevron-right"></i>')],
        })
    }

    if ($.fn.imagesLoaded) {
        $('.hmt-portfolio-filter').imagesLoaded(function () {
            // filter items on button click
            $('.portfolio-menu').on('click', 'button', function () {
                var filterValue = $(this).attr('data-filter');
                $grid.isotope({
                    filter: filterValue
                });
            });

            // init Isotope
            var $grid = $('.hmt-portfolio-filter').isotope({
                itemSelector: '.single-portfolio-item',
                percentPosition: true,
                masonry: {
                    columnWidth: '.single-portfolio-item'
                }
            });
        });
    }
 
    if ($.fn.tooltip) {
        $('[data-toggle="tooltip"]').tooltip();
    }

    if (hmtWindow.width() > 480) {
        new WOW().init();
    }

    if ($.fn.jarallax) {
        $('.jarallax').jarallax({
            speed: 0.5
        });
    }

    if ($.fn.scrollUp) {
        hmtWindow.scrollUp({
            scrollSpeed: 1100,
            scrollText: '<i class="lni-chevron-up"></i>'
        });
    }

    if ($.fn.counterUp) {
        $('.rs-counter').counterUp({
            delay: 15,
            time: 1500
        });
    }

    $('a[href="#"]').on('click', function ($) {
        $.preventDefault();
    });

    $('.service-card').on('mouseenter', function () {
        $('.service-card').removeClass('active');
        $(this).addClass('active');
    })

    if ($.fn.animatedHeadline) {
        $('.animated--headline').animatedHeadline({
            animationType: 'clip'
        });
    }
})(jQuery);


$(document).ready(function() {
            $(".carousel").carousel({
                interval: false,
                pause: false
            });

            $(".carousel .carousel-inner").swipe({
                swipeLeft: function(event, direction, distance, duration, fingerCount) {
                    this.parent().carousel('next');
                },
                swipeRight: function() {
                    this.parent().carousel('prev');
                },
                threshold: 0,
                tap: function(event, target) {
                    window.location = $(this).find('.carousel-item.active a').attr('href');
                },
                excludedElements: "label, button, input, select, textarea, .noSwipe"
            });

            $('.carousel .carousel-inner').on('dragstart', 'a', function() {
                return false;
            });

        });